Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CustomTThreadPoolServer

    java.lang.Object
      org.apache.thrift.server.TServer
          org.apache.cassandra.thrift.CustomTThreadPoolServer

    public class CustomTThreadPoolServer

extends org.apache.thrift.server.TServer

Slightly modified version of the Apache Thrift TThreadPoolServer. This allows passing an executor so you have more control over the actual behaviour of the tasks being run. Newer version of Thrift should make this obsolete.

Nested Class Summary
`static class` | `CustomTThreadPoolServer.Options`

Field Summary

Fields inherited from class org.apache.thrift.server.TServer
`inputProtocolFactory_, inputTransportFactory_, outputProtocolFactory_, outputTransportFactory_, processorFactory_, serverTransport_`

Constructor Summary
`CustomTThreadPoolServer(org.apache.thrift.TProcessorFactory tProcessorFactory, org.apache.thrift.transport.TServerSocket tServerSocket, org.apache.thrift.transport.TTransportFactory inTransportFactory, org.apache.thrift.transport.TTransportFactory outTransportFactory, org.apache.thrift.protocol.TProtocolFactory tProtocolFactory, org.apache.thrift.protocol.TProtocolFactory tProtocolFactory2, CustomTThreadPoolServer.Options options, java.util.concurrent.ExecutorService executorService)`

Method Summary
`void` | `serve()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomTThreadPoolServer

    public CustomTThreadPoolServer(org.apache.thrift.TProcessorFactory tProcessorFactory,
                                   org.apache.thrift.transport.TServerSocket tServerSocket,
                                   org.apache.thrift.transport.TTransportFactory inTransportFactory,
                                   org.apache.thrift.transport.TTransportFactory outTransportFactory,
                                   org.apache.thrift.protocol.TProtocolFactory tProtocolFactory,
                                   org.apache.thrift.protocol.TProtocolFactory tProtocolFactory2,
                                   CustomTThreadPoolServer.Options options,
                                   java.util.concurrent.ExecutorService executorService)

Method Detail

### serve

    public void serve()

  Specified by:
    `serve` in class `org.apache.thrift.server.TServer`

### stop

    public void stop()

  Overrides:
    `stop` in class `org.apache.thrift.server.TServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation